{% extends 'base.html.twig' %}

{% block title %}News index{% endblock %}

{% block body %}
    <h1>News index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Url</th>
                <th>Img</th>
                <th>Title</th>
                <th>Date</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for news in news %}
            <tr>
                <td>{{ news.id }}</td>
                <td>{{ news.Url }}</td>
                <td>{{ news.Img }}</td>
                <td>{{ news.Title }}</td>
                <td>{{ news.Date ? news.Date|date('Y-m-d') : '' }}</td>
                <td>
                    <a href="{{ path('news_show', {'id': news.id}) }}">show</a>
                    <a href="{{ path('news_edit', {'id': news.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('news_new') }}">Create new</a>
{% endblock %}
